'use strict';

const browshot = require('browshot');

var client = new browshot('my_api_key');

// last 5 screenshots
client.screenshotList({ limit: 5, status: 'finished' }, function(list) {
	for(var i in list) {
		console.log(`${list[i].id} ${list[i].url}`);
	}
});

// Number of errors
client.screenshotList({ status: 'error' }, function(list) {
	var count = list.length || 'none';
	console.log(`${count} of the last last 100 screenshots failed`);
});
